## com.sun.jersey.spi.inject
Interface InjectableProvider<A extends java.lang.annotation.Annotation,C>

Type Parameters:
  `A` - the annotation type
  `C` - the context type. Types of the `Type` and `Parameter` are the only types that are supported.

All Known Implementing Classes:
  PerRequestTypeInjectableProvider, ServletContainer.ContextInjectableProvider, SingletonTypeInjectableProvider, WebComponent.ContextInjectableProvider

    public interface InjectableProvider<A extends java.lang.annotation.Annotation,C>

An injectable provider provides an injectable which in turn may be used to obtain the instance to inject onto a field, bean setter method, parameter of a constructor, or parameter of a method.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`Injectable` | `getInjectable(ComponentContext ic, A a, C c)` Get an injectable.
`ComponentScope` | `getScope()` Get the scope of the injectable provider.

Method Detail

### getScope

    ComponentScope getScope()

  Get the scope of the injectable provider.

  Returns:
    the scope.

### getInjectable

    Injectable getInjectable(ComponentContext ic,
                             A a,
                             C c)

  Get an injectable.

  Parameters:
    `ic` - the injectable context
    `a` - the annotation instance
    `c` - the context instance
  Returns:
    an Injectable instance, otherwise null if an instance cannot be created.

Copyright © 2017 Oracle Corporation. All Rights Reserved.